Clang::TUnit(3pm)

NAME
Clang::TUnit - Clang translation unit class

VERSION
version 0.09

DESCRIPTION
A "Clang::TUnit" represents a single translation unit which resides in an index.

METHODS

  cursor( )
Retrieve the Clang::Cursor corresponding to the given translation unit.

  spelling( )
Retrieve the original translation unit source file name.

  diagnostics( )
Retrieve the Clang::Diagnostics associated with the given "Clang::TUnit".

AUTHOR
Alessandro Ghedini <alexbio@cpan.org>

LICENSE AND COPYRIGHT
Copyright 2012 Alessandro Ghedini.

This program is free software; you can redistribute it and/or modify it under the terms of either: the GNU General Public License as published by the Free Software Foundation; or the Artistic License.

See http://dev.perl.org/licenses/ for more information.